net.sf.statcvs.charts

## Class ModifyAddChartMaker

- java.lang.Object
- - net.sf.statcvs.charts.ModifyAddChartMaker

-     public class ModifyAddChartMaker
      extends java.lang.Object

  Class for producing the "Author Activity: Modifying/Adding" chart
  Version:
    $Id: ModifyAddChartMaker.java,v 1.9 2009/04/25 16:36:20 benoitx Exp $
  Author:
    jentzsch, Richard Cyganiak (richard@cyganiak.de)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyAddChartMaker(ReportConfig config, int width)` Creates a new ModifyAddChartMaker

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartImage` | `toFile()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyAddChartMaker

          public ModifyAddChartMaker(ReportConfig config,
                             int width)

      Creates a new ModifyAddChartMaker
      Parameters:
        `content` - Repository
        `width` - width of the chart in pixels

  - ### Method Detail

    - #### toFile

          public ChartImage toFile()